package com.company.charactersettest.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "CHARACTERSETTEST_TEST_ENTITY")
@Entity(name = "charactersettest_TestEntity")
@NamePattern("%s|name")
public class TestEntity extends StandardEntity {
    private static final long serialVersionUID = -2350332278162185167L;

    @Column(name = "NAME", nullable = false)
    @NotNull
    private String name;

    @NotNull
    @Column(name = "TEST_NAME", nullable = false)
    private Integer testName;

    public TestName getTestName() {
        return testName == null ? null : TestName.fromId(testName);
    }

    public void setTestName(TestName testName) {
        this.testName = testName == null ? null : testName.getId();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}