package com.company.charactersettest.entity;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum TestName implements EnumClass<Integer> {

    GENERAL(10),
    CAJON(20),
    OTHER(30);

    private Integer id;

    TestName(Integer value) {
        this.id = value;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TestName fromId(Integer id) {
        for (TestName at : TestName.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}